Bug 10581

Summary: [PATCH] SViewer patch
Product: POI Reporter: Jason Height <jheight>
Component: HSSFAssignee: POI Developers List <dev>
Status: RESOLVED FIXED    
Severity: enhancement    
Priority: P3    
Version: 2.0-dev   
Target Milestone: ---   
Hardware: Other   
OS: other   
Attachments: Patch file!
This patches the SVTableCellRenderer to provide most of the formatting of cells.

Description Jason Height 2002-07-09 07:09:08 UTC
Attached is a patch that improves the SViewer.

1) Borders now render correctly when selected.
2) Colors of Borders are now used instead of black
3) The selected cell is painted with a border to indicate selection
4) General tidy up to try and cut down on the number of objects that are created
for each render.

Does anyone know how to get an inverse of an awt Color. ie Black-> white, Blue
-> Red. If you look at excel when a Blue cell is selected the selected cell
border color is changed to red. If it normally has a black border then it is
painted white above the cell selection border. Does that make sense? I would
like to use a single call to get an inverse color to paint cells correctly when
selected.

For some reason the diff took all of the SVBorder. I dont know why.. (Im a cvs
dummy!)

Dont know what else has changed. I started to look at formatting of the text
that is rendered but havent got very far. The progress is commented out in the
SVTableCellRenderer class.

Jason
Comment 1 Jason Height 2002-07-09 07:10:06 UTC
Created attachment 2288 [details]
Patch file!
Comment 2 Jason Height 2002-07-11 22:25:30 UTC
Created attachment 2324 [details]
This patches the SVTableCellRenderer to provide most of the formatting of cells.
Comment 3 Jason Height 2002-07-11 22:28:06 UTC
I just added a SVTableCellRenderer patch that allows for the defaulkt 
formatting styles to be rendered correctly. (Well most of them anyway). The 
ones that havent been catered for currently blow up with an exception...

The previous patch still needs to be applied for the other changes but this 
patch superceeds the portion of the previous patch for the SVTableCellRenderer.

Could someone pls commit these patches. I would like to keep on going with this 
whilst Im in the mood.

Jason
Comment 4 Andy Oliver 2002-07-15 01:27:51 UTC
Dude, you're totally awesome.  This will look great tomorrow when I present it
(http://www.trijug.org).  I'll make sure I mention you.  

Applied.  Please cross check.